/* Formatting for terms and conditions */
.terms {
 font-size:12px;
 text-align:center;
}

.sreq_summary_table {
    margin:auto;
    zbackground-color:yellow;
    zborder-bottom:1px solid black;
}
.sreq_summary_table td {
    padding-left:5px;
    padding-right:5px;
    border-bottom:1px solid black;
}
.sreq_col_center {
    text-align:center;
    zbackground-color:red;
}
.sreq_priority_desc {
    white-space: nowrap;
    padding-left:5px;
    padding-right:5px;
    zbackground-color:green;
} 
/* standard table entry */
.std_table {
    font-size:12px;
    font-weight:bold;
    border:1px solid;  
    border-collapse:collapse;
    padding:0px 0px 0px 0px;
    background-color:lightgray;
    text-align:left;
}
.std_table td.nb {
    border:0px;
    border-bottom:1px solid;
}  

.std_table td.error {
  background-color:red;
}
.std_table td.warn {
  background-color:yellow;
}
.std_table td.ok {
  background-color:white;
}

.std_table td {
    border:1px solid;  
    border-collapse:collapse;
    padding:2px;
    text-align:left;
}
.std_table th {
    text-align:center;
    background-color:#0099FF;
    border-bottom: 1px solid;
}
.std_table caption {
    font-size:18px;
    white-space: nowrap;
    font-weight:bold;
}

.mooring_sel_table {
	zbackground-color:red;
	border: 3px solid black;  
	border-collapse:collapse;
	margin:auto;
}

.mooring_sel_table td {
	white-space: nowrap;
	padding-left:5px;
	padding-right:5px;
	width:180px;
	text-align:left;
}
.mooring_sel_table caption {
    font-size:16px;
    font-weight:bold;
    background-color:#6699ff;
}


/* SMG tables */
.smg_desc_table {
 background-color:green;
 text-align:left;
 background-color:#b0c0c0;
 border-collapse: collapse;
 font-size:12px;
 vertical-align:center;
}

.smg_desc_table td {
 padding-right:10px;
}

.smg_desc_table td.top_row {
    border-top:3px solid;  
}
.smg_desc_table td.label {
 white-space: nowrap;
}
.smg_desc_table td.odd {
 background-color:#bbbbbb;
}
.smg_desc_table td.even {
 background-color:#cccccc;
}


/* jquery icon button configuration */

.icon_button {
padding-top:5px;
padding-bottom:5px;
}

.exp_button {
 width:24px;
 height:24px;
 float:right;
 }


.inner_background
{
 width:960px;
 margin:auto;
 margin-top:5px;
 margin-bottom:5px;
 padding:3px;
 border-radius: 1px 1px 10px 10px;
 text-align:center;
 background-color:white;
}

.inner_background_exp
{
 margin:auto;
 margin-top:5px;
 padding-left:50px;
 margin-bottom:10px;
 padding:3px;
 border-radius: 1px 1px 10px 10px;
 text-align:center;
 background-color:white;
}

body
{
 background-color:#015ba7;
}

.rvol_table {
    zbackground-color:blue;
    border-collapse: collapse;
    font-size:14px;
    text-align:center; 
    horizontal-align:center; 
    margin:auto;
}
.rvol_table caption {
    font-weight:bold;
    font-size:14px;
}
.rvol_table td {
    border: 1px solid black;     
    text-align:center; 
    horizontal-align:center; 
    padding-left:8px;
    padding-right:3px;
    white-space:nowrap;
}
.rvol_table th {
    font-weight:bold;
    text-align:center; 
    padding-left:5px;
    padding-right:5px;
    font-size:12px;
}
.rvol_table td.noborder {
    text-align:left; 
    border: 0px;     
}


/* Basic input table configuration 
    <div class="binput_div">
        <h2>Sensor Edit</h2>
        <p class="binput_summary">Create/Edit Sensor type information. Be careful with already deployed sensors</p>
        <table class="binput_table">
            <tr>
                <td class="binput_label">Short Name</td>
                <td>{{form.short_name}}<div class="binput_error">{{form.short_name.errors}}</div></td>
                <td class="binput_info">
                Short name for sensor. Used by various internal routines to locate identify this sensor type
                </td>
            </tr>
            
            <tr>
                <td colspan="99" class="submit_button"><input class="submit_button" type="submit" name="update" value="Update/Save"></input></td>
            </tr>

            // url-jump button
            <td><button type='button' onclick="window.location.href='{{mt.edit_url}}'">Edit</button></td>

*/
.binput_div {
 vertical-align:top;
 background-color:lightgray;
 width:700px;
 margin-left:10px;
 padding:5px;
}
.binput_table {
 font-size:14px;
 text-align:left;
}
.binput_table td {
 vertical-align:top;
 padding-top:5px;
}
.binput_label {
 white-space: nowrap;
 padding-left:10px;
 padding-right:5px;
 font-weight:bold;
}
.binput_info {
 border-bottom: 1px solid black;
}
.binput_error {
 color:red;
 font-size:14px;
 font-weight:bold;
}
.binput_summary {
 font-size:12px;
 font-weight:bold;
 font-style:italic;
 padding:2px;
}
.submit_button {
 text-align:center;
 width:200px;
 padding:10px;
}

/* Standard Table Stuff */
.td_normal {
 background-color:clear;
}
.td_error {
 background-color:red;
 font-weight:bold;
}
.td_warn {
 background-color:yellow;
 font-weight:bold;
}
.td_ok {
 background-color:green;
 font-weight:bold;
}

